Summary: A library for network interface configuration with DHCP
Name:    libdhcp
Version: 1.20
Release: 6%{?dist}
License: GPLv2
Group:   Development/Libraries
URL:     http://dcantrel.fedorapeople.org/%{name}

Source0: http://dcantrel.fedorapeople.org/%{name}/%{name}-%{version}.tar.bz2
Patch0:  %{name}-1.20-option-list.patch
Patch1:  %{name}-1.20-includes.patch
Patch2:  %{name}-1.20-sethostname.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: dhcp-devel >= 12:3.0.5-13
BuildRequires: libdhcp4client-devel >= 12:3.0.5-13
BuildRequires: libdhcp6client-devel >= 1.0.9-1
BuildRequires: libnl-devel >= 1.0-0.10.pre5.4
BuildRequires: pkgconfig
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
libdhcp enables programs to invoke and control the Dynamic Host Configuration
Protocol (DHCP) clients: the Internet Software Consortium (ISC) IPv4 DHCP
client library, libdhcp4client, and the IPv6 DHCPv6 client library,
libdhcp6client, and provides Network Interface Configuration (NIC) services
for network parameter autoconfiguration with DHCP.

%package devel
Summary:  C header files for development with libdhcp
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libdhcp4client-devel, libdhcp6client-devel, libnl-devel
Obsoletes: pump-devel <= 0.8.24

%description devel
C header files for development with libdhcp.

%prep
%setup -q
%patch0 -p1 -b .optionlist
%patch1 -p1 -b .includes
%patch2 -p1 -b .sethostname

%build
CFLAGS="%{optflags} $CFLAGS" CC=%{__cc} %{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} libdir=%{buildroot}%{_libdir}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so.1
%doc README COPYING ChangeLog TODO

%files devel
%defattr(-,root,root,-)
%doc examples
%{_libdir}/libdhcp.so
%{_libdir}/libdhcp.a
%{_includedir}/libdhcp
%{_libdir}/pkgconfig/libdhcp.pc

%changelog
* Mon Aug 11 2008 David Cantrell <dcantrell@redhat.com> - 1.20-6
- Set system hostname from DHCP server response
  Resolves: rhbz#450296

* Fri Apr 11 2008 David Cantrell <dcantrell@redhat.com> - 1.20-5
- Rebuild against latest dhcp
  Related: rhbz#435978

* Mon Jan 21 2008 David Cantrell <dcantrell@redhat.com> - 1.20-4
- Rebuild against correct version of libdhcp6client
  Related: rhbz#429293

* Fri Jan 18 2008 David Cantrell <dcantrell@redhat.com> - 1.20-3
- Rebuild for new libdhcp6client shared library
  Resolves: rhbz#429293

* Mon May 14 2007 David Cantrell <dcantrell@redhat.com> - 1.20-2
- Request and handle static-routes option for IPv4 requests
- Resolves: rhbz#236936
- libdhcp-devel obsoletes pump-devel <= 0.8.24
- Resolves: rhbz#238866

* Wed Feb 21 2007 David Cantrell <dcantrell@redhat.com> - 1.20-1
- Upgrade to libdhcp-1.20
- Resolves: rhbz#229043

* Tue Dec 12 2006 David Cantrell <dcantrell@redhat.com> - 1.17-1
- Replace enum dhcp_state_e in libdhcp.h with the actual typedef
- Resolves: rhbz#218084

* Fri Oct 20 2006 David Cantrell <dcantrell@redhat.com> - 1.16-1
- Fix search_list dynamic allocation (#201907)

* Mon Oct 16 2006 Jeremy Katz <katzj@redhat.com> - 1.15-1
- fix build failure due to NULL changes 

* Fri Oct 13 2006 David Cantrell <dcantrell@redhat.com> - 1.14-1
- Archive is now a .tar.bz2

* Fri Oct 13 2006 David Cantrell <dcantrell@redhat.com> - 1.13-1
- Use NULL for pointer initialization rather than 0
- Code readability cleanups
- Do not generate Doxygen docs or examples subdir for each build, which
  corrects the multilib RPM conflicts (#210574).

* Mon Aug 14 2006 Peter Jones <pjones@redhat.com> - 1.12-1
- Fixes for ppc and ppc64 (#201920)

* Fri Aug 11 2006 David Cantrell <dcantrell@redhat.com> - 1.11-1
- If interface is already configured, down it before reconfig (#202208)

* Wed Aug 02 2006 David Cantrell <dcantrell@redhat.com> - 1.10-1
- Make the README file a little more readable
- Set char pointers to NULL after free() in dhcpv4_control_free()
- In dhcp4_nic_callback(), set state string for DHC_TIMEDOUT
- In dhcp6_nic_callback(), set state string for DHC_TIMEDOUT
- Don't free null pointers in dhcp_nic_va()

* Thu Jul 13 2006 David Cantrell <dcantrell@redhat.com> - 1.9-1
- Added IP_STRLEN() macro to ip_addr.h
- In pumpSetupInterface(), removed return_ok, make close/free calls as
  needed
- Close and free nic stuff in the right order in pumpSetupInterface()
- Removed unnecessary relinquish_timeout() calls in pumpSetupInterface()

* Wed Jul 12 2006 David Cantrell <dcantrell@redhat.com> - 1.8-1
- Removed nic_configure_resolver() and calls to it

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.7-1.1
- rebuild

* Tue Jul 11 2006 David Cantrell <dcantrell@redhat.com> - 1.7-1
- Poll nic_get_links() until NLMSG_DONE is received (#197172)

* Wed Jun 28 2006 Peter Jones <pjones@redhat.com> - 1.6-1
- fix two memory leaks in dhcpv4_control_va
- fix memory leaks in dhcp_nic_va
- don't fork threads if we're not using a particular protocol
- fix client finished detection logic
- add a destructor for a dhc6ctl
- relinquish timeouts when pump is finished getting a lease

* Wed Jun 21 2006 Jeremy Katz <katzj@redhat.com> - 1.5-2
- actually follow the timeout given instead of always using 10 seconds

* Thu Jun 15 2006 Peter Jones <pjones@redhat.com> - 1.5-1
- fix some bugs anaconda was hitting

* Thu Jun 08 2006 Jason Vas Dias <jvdias@redhat.com> - 1.3-1
- Ensure IPv6 module is loaded before invoking dhcpv6_client 
- fix segfault on free() of uninitialized 'sdns' in dhcp_nic

* Wed Jun 07 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-2
- fix bug 194377: -devel package missing Require:s. 

* Sun May 21 2006 Jason Vas Dias <jvdias@redhat.com> - 1.2-1
- numerous improvements - stopped using libnl cache at all to
  fix memory leaks.

* Sun May 14 2006 Jason Vas Dias <jvdias@redhat.com> - 1.1-1 
- Initial build.
